Page 3 of 4 FirstFirst 1 2 3 4 LastLast
Results 21 to 30 of 40

Thread: eclipse setup, tricks, etc

  1. #21

    Default

    This tutorial needs a couple things updated. First of all, KoLmafia now requires JDK7 to compile. Secondly there's the 1.10.x release of the Subversion Eclipse client.

  2. #22
    Senior Member Theraze's Avatar
    Join Date
    Mar 2010
    Posts
    8,728

    Default

    Since mafia internally uses the 1.8.xx SVN client, does updating to the 1.10.xx or 1.9.xx SVN client fail?

  3. #23

    Default

    Since mafia internally uses the 1.8.xx SVN client
    Originally Posted by Theraze View Post
    I'm pretty sure that's 1.7.

  4. #24
    Senior Member Theraze's Avatar
    Join Date
    Mar 2010
    Posts
    8,728

    Default

    Oh right... I just know that I keep my SVN install files and turn off upgrade notices immediately so that I can do my svn update in the folder without screwing up mafia's ability to do it. Knew it was a few off, but couldn't remember the exact number. Ugh.

    But yeah, 1.7.xx still recommended, right? Since otherwise it messes up the svn repos...

  5. #25
    Developer fronobulax's Avatar
    Join Date
    Feb 2009
    Location
    D.C. suburbs of Virginia, USA
    Posts
    3,756

    Default

    Oh right... I just know that I keep my SVN install files and turn off upgrade notices immediately so that I can do my svn update in the folder without screwing up mafia's ability to do it. Knew it was a few off, but couldn't remember the exact number. Ugh.

    But yeah, 1.7.xx still recommended, right? Since otherwise it messes up the svn repos...
    Originally Posted by Theraze View Post
    Correct. If you want your external SVN client to behave with Mafia then make sure it can handle 1.7 format repositories. The last time I checked SVN was not backwards compatible and the first thing a client upgrade did was upgrade the repositories so 1.7 is the preferred (only?) choice. This is of biggest concern to script authors since it is convenient to edit and upload from the same location KoLmafia uses for the local repository.
    You just vehemently agreed with me
    Originally Posted by Veracity View Post
    I agree with frono.
    Originally Posted by Veracity View Post
    There are 69 players more powerful than you.
    Originally Posted by Statistics Leaderboards

  6. #26
    Senior Member Theraze's Avatar
    Join Date
    Mar 2010
    Posts
    8,728

    Default

    Post 1 should probably suggest using 1.7.xx instead of 1.8.xx then.
    Fire up Eclipse. Ignore all the stuff in the main interface for now. Help > Install New Software. Copy/paste this url into the box: http://subclipse.tigris.org/update_1.8.x
    Originally Posted by roippi View Post

  7. #27

    Default

    That's the goofy thing about Subversion - the client version never matches that of the repository. SVNKit 1.8 is for SVN 1.7 oddly enough.

  8. #28
    Senior Member Theraze's Avatar
    Join Date
    Mar 2010
    Posts
    8,728

    Default

    Awesome. At least Tortoise matches up... Heh.

  9. #29
    Junior Member Chamou's Avatar
    Join Date
    May 2014
    Posts
    9

    Default

    This is my second attempt trying to get SVN to work with eclipse, after getting mad and giving up a couple weeks ago. This time it breaks earlier in the process AND it's a different error!



    This is the error I get trying to install subclipse from the given URL. I have no idea what to do to even begin fixing this.

  10. #30
    Senior Member
    Join Date
    Apr 2009
    Posts
    1,711

    Default

    This is the error I get trying to install subclipse from the given URL. I have no idea what to do to even begin fixing this.
    Originally Posted by Chamou View Post
    What given URL?
    Eclipse addons often have different installation repositories (urls) for each different eclipse release, it's very possible that you are trying to install a version of subclipse that's incompatible with your version of eclipse.

    I always install from eclipse marketplace (menu: help/eclipse marketplace..., input subclipse in the find box, press enter, hit the install button in subclipse's cell).

Similar Threads

  1. New Content - Implemented Manuel got some new tricks.
    By Erich in forum Bug Reports
    Replies: 38
    Last Post: 05-07-2013, 08:34 AM
  2. KoLmafia code formatting rules file for Eclipse request
    By wrldwzrd89 in forum Community Support
    Replies: 1
    Last Post: 09-14-2012, 06:17 PM
  3. 9102: Ignore Eclipse project-specific settings
    By RSS Bot in forum Latest SVN Changes
    Replies: 0
    Last Post: 02-24-2011, 08:02 AM
  4. Mood Setup?
    By tyilo in forum Scripting Discussion
    Replies: 5
    Last Post: 02-27-2008, 06:38 PM
  5. eclipse
    By bollwyvl in forum Scripting Discussion
    Replies: 4
    Last Post: 04-21-2006, 04:54 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •